Skip to main content
POST
Model Meta Update
When called with an API key, the key needs the models scope (about scopes).

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null
x-api-key
string | null

Path Parameters

model_name
string
required

Body

application/json
description
string | null

short model description in plain text

github_url
string | null

source code project link (empty to delete)

paper_url
string | null

paper/research link (empty to delete)

license_url
string | null

usage license link (empty to delete)

readme
string | null

markdown flavored model readme

cover_img_url
string | null

dataurl or regular url to cover image (empty to delete)

sample_output_url
string | null

dataurl or regular url to a sample of this model's output, shown on the model page before the first run (empty to delete)

reported_type
enum<string> | null

model type

Available options:
automatic-speech-recognition,
image-classification,
question-answering,
token-classification,
text-to-image,
fill-mask,
zero-shot-image-classification,
text2text-generation,
text-generation,
text-classification,
object-detection,
embeddings,
dreambooth,
custom,
text-to-speech,
text-to-video,
text-to-music,
rent-container,
bare-metal,
cluster,
reranker,
openclaw,
hermes,
world-model,
sandbox,
web-search,
commitment,
capacity,
decision

Response

Successful Response